GET /v1/douyin/search/hot_search_v1
Douyin Trending Search API (V1)
stable · 39 credits per success
Search Douyin content with optional keyword, category, video type, sort, pagination, engagement and creator-follower filters. Use it to support trend discovery and campaign research.
Request parameters
| Name | Type | In | Required | Description | Example |
|---|---|---|---|---|---|
| page | integer | query | no | 页码(从1开始)。每页固定10条。 | 1 |
| keyword | string | query | no | 可选的搜索关键词。 | 咖啡 |
| sortType | string | query | no | 热门内容结果的排序标准。 可选值: - `COMPREHENSIVE`:综合排序。 - `HIGH_INTERACTION`:最高互动量。 - `HIGH_LIKE`:最高点赞量。 - `HIGH_COMMENT`:最高评论量。 - `… | COMPREHENSIVE |
| videoType | string | query | no | 视频类型筛选。 可选值: - `ALL`:所有视频类型。 - `XINGTU_VIDEO`:星图商业视频。 - `NATURAL_VIDEO`:自然视频。 | ALL |
| contentType | string | query | no | 顶级内容类型。只能选择一种内容类型。 可选值: - `ALL`:所有内容类型。 - `FASHION`:时尚。 - `TECHNOLOGY`:科技。 - `SCIENCE`:科学。 - `PHOTOGRAPHY`:摄影与摄像。 - `F… | ALL |
| likeCountMax | integer | query | no | 最高原始点赞数。 | 0 |
| likeCountMin | integer | query | no | 最低原始点赞数。 | 0 |
| shareCountMax | integer | query | no | 最高原始分享数。 | 0 |
| shareCountMin | integer | query | no | 最低原始分享数。 | 0 |
| commentCountMax | integer | query | no | 最高原始评论数。 | 0 |
| commentCountMin | integer | query | no | 最低原始评论数。 | 0 |
| followerCountMax | integer | query | no | 最高原始创作者粉丝数。 | 0 |
| followerCountMin | integer | query | no | 最低原始创作者粉丝数。 | 0 |
| interactionCountMax | integer | query | no | 最高原始互动数。 | 0 |
| interactionCountMin | integer | query | no | 最低原始互动数。 | 0 |
Response fields
Field dictionary coming soon — the executable panel shows the live shape.
Errors
| code | HTTP | Meaning | Billed |
|---|---|---|---|
| 40001 | 400 | Invalid parameters | no |
| 40102 | 401 | Invalid or revoked API Key | no |
| 40201 | 402 | Insufficient credits | no |
| 40402 | 404 | Resource not found | no |
| 42201 | 422 | Quality gate failed | no |
| 42901 | 429 | Rate limit exceeded | no |
| 50401 | 504 | Upstream timeout | no |
| 50201 | 502 | Upstream error | no |
Billing
Success costs 39 credits. Any failure — including a 200 that fails the quality gate — costs 0.